%define upstream_name    Eval-WithLexicals
%define upstream_version 1.003005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Persist compile hints between evals
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 0.9.6
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%description
Persist pragams and other compile hints between evals (for example the the
strict manpage and the warnings manpage flags in effect).

Saves and restores the '$^H' and '%^H' variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man*/*
%{perl_vendorlib}/*
/usr/bin/tinyrepl

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.5-5.mga8
+ Revision: 1494456
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.5-4.mga7
+ Revision: 1267861
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.3.5-3.mga6
+ Revision: 1026948
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.3.5-2.mga6
+ Revision: 968602
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 1.3.5-1.mga6
+ Revision: 853667
- update to 1.003005

* Sun Oct 19 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 790683
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 741273
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5
+ Revision: 684652
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 jquelin <jquelin> 1.3.0-1.mga5
+ Revision: 640268
- update to 1.003000

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 511400
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 366927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 09 2011 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 165755
- imported package perl-Eval-WithLexicals


* Wed Nov 09 2011 cpan2dist 1.002000-1mga
- initial mageia release, generated with cpan2dist
